!-----------------------------------------------------------------------

   !&E---------------------------------------------------------------------
   !&E                 ***  ROUTINE mars_ww  ***
   !&E
   !&E ** Purpose : coupling with WW3
   !&E
   !&E ** Description :
   !&E
   !&E ** Called by : step.F90
   !&E
   !&E ** External calls :
   !&E
   !&E ** Reference :
   !&E
   !&E ** History :
   !&E       !  2010-03  (A.-C. Bennis)  Original code
   !&E
   !&E---------------------------------------------------------------------

   print*, 'commentaire valerie'
   print*, ' ATTENTION dans la routine palmww3.h'
   print*, 'toutes les variables globales ssh, u ,v etc ont ete allouees'
   print*, 'dont il faut bien dimensionner usend en (limin:limax,ljmin,ljmax)'
   print*, 'et copier toutes la variables dans usend avec les bonnes dimensions'
   print*, 'Anne-Claire, je stoppe la simulation pour etre sure que tu ne rates pas cela'
   print*, 'Des que c'est regle tu pourras eliminer ce paragraphe'
   print*, ''
   STOP

if(t.ge.tdeb)then
if(mod(nbouc,2).eq.1) then
        timea=timea+1
        cl_space  = 'mat2d'
        cl_object = 'matricedistu'
        usend=u(:,ljmin:ljmax)
        CALL PALM_Put(cl_space, cl_object, timea, PL_NO_TAG, usend,   il_err)
	cl_object = 'matricedistv'
	usend=v(:,ljmin:ljmax)
        CALL PALM_Put(cl_space, cl_object, timea, PL_NO_TAG, usend,   il_err)
	cl_object = 'matricedistxe'
	usend=ssh(:,ljmin:ljmax)
        CALL PALM_Put(cl_space, cl_object, timea, PL_NO_TAG, usend,   il_err)
	!
	else
	timeb=timeb+1
	cl_space = 'vect1dmars'
	cl_object = 'vectmars'
	usendsig=sig(1:kmax)
        CALL PALM_Put(cl_space, cl_object, timeb, PL_NO_TAG, usendsig, il_err)
	!
	cl_space  = 'mat2d'
	cl_object = 'matricexem'
	usendxe=ssh(:,ljmin:ljmax)
        CALL PALM_Put(cl_space, cl_object, timea, PL_NO_TAG, usend,   il_err)
	!
	cl_space  = 'mat3d'
	cl_object = 'tosx3d'
        CALL PALM_get(cl_space, cl_object, timeb, PL_NO_TAG, tosx3d,il_err)
	cl_space  = 'mat3d'
	cl_object = 'tosy3d'
       CALL PALM_get(cl_space, cl_object, timeb, PL_NO_TAG, tosy3d,il_err)

       tosx3dm(imin:imax,jmin:jmax,1:kmax)=tosx3d(:,:,:)
       tosy3dm(imin:imax,jmin:jmax,1:kmax)=tosy3d(:,:,:)

     END IF
   END IF
