!********************************************************************
!
      subroutine vz_en_xe(vz,vz_xe,i,j)
!
!********************************************************************
!
!     objet    : calcul de uz aux points de calcul xe de la grille C
!                par interpolation des 2 voisins.
!
!
!     appelant         : cfovzexp
!                      :
!     appeles          :
!                      :
!     canal d ecriture :
!                      :
!     canal de lecture :
!                      :
!     cle cpp          :
!                      :
!     variables in     : vz, igd
!                      :
!     variables out    : vz_xe
!                      :
!     variables inout  :
!                      :
!     dernieres modifs : 22/03/2006
!                      :
!***********************************************************
!
USE parameters
use comvars2d
use comcolig2d
use comcolig3d
implicit none
!
integer,intent(in)                                 :: i,j
real(kind=rsh),dimension(1:kmax),intent(out) :: vz_xe
real(kind=rsh),dimension(1:kmax,imin:imax,jmin:jmax),intent(in) :: vz
!************************************************************
!     Executable statements
!************************************************************
!

!cval  if(igd(i,j) == 1) vz_xe(:)=0.5*(vz(:,i,j)+vz(:,i,j-1))
!cval test sur igd ou igdv bizarre
  if(igdv(i,j) == 1) vz_xe(:)=0.5*(vz(:,i,j)+vz(:,i,j-1))
!
end subroutine vz_en_xe
