#!/bin/bash
#set -x
## configuration ym
module purge 2> /dev/null
module use -a $HOME/modules
# Plan A
module load intel/15.0.0.090 \
            bullxmpi/1.2.8.3 \
            hdf5/1.8.14_parallel \
            pnetcdf/1.3.1  &> chargement_module
# Plan B
#module load intel/15.0.0.090 \
#            /opt/software/modulefiles/libraries/bullxmpi/.1.2.8.2
#            hdf5/1.8.14_parallel \
#            pnetcdf/1.3.1  &> chargement_module

if [[ `grep "ERROR" chargement_module ` != '' ]] 
then
echo "... ERROR in modules ..."
exit 1
fi

# a supprimer apres la correction du module
#export PATH=/opt/software/intel/composer_xe_2015.0.090/bin/intel64:$PATH
export LD_LIBRARY_PATH=/opt/software/libraries/pnetcdf/parallel-netcdf-1.3.1/lib:$LD_LIBRARY_PATH

# les 2 lignes suivantes devront etre enlevees apres chargement du module quand il sera pret
export LD_LIBRARY_PATH=${HOME}/NETCDF4_ym/lib:$LD_LIBRARY_PATH
export NETCDF_INC_DIR=${HOME}/NETCDF4_ym/include
